%define major 0
%define libname %mklibname f2fs %{major}

Summary:	Tools for Flash-Friendly File System (F2FS)
Name:		f2fs-tools
Version:	1.4.0
Release:	2
License:	GPLv2+
Group:		System/Base
Url:		http://sourceforge.net/projects/f2fs-tools/
Source0:	http://git.kernel.org/cgit/linux/kernel/git/jaegeuk/f2fs-tools.git/snapshot/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(uuid)

%description
NAND flash memory-based storage devices, such as SSD, and SD cards, have been
widely being used for ranging from mobile to server systems. Since they are
known to have different characteristics from the conventional rotational
disks, a file system, an upper layer to the storage device, should adapt to
the changes from the sketch.

F2FS is a new file system carefully designed for the NAND flash memory-based
storage devices. We chose a log structure file system approach, but we tried
to adapt it to the new form of storage. Also we remedy some known issues of
the very old log structured file system, such as snowball effect of wandering
tree and high cleaning overhead.

Because a NAND-based storage device shows different characteristics according
to its internal geometry or flash memory management scheme aka FTL, we add
various parameters not only for configuring on-disk layout, but also for
selecting allocation and cleaning algorithms.

%files
%doc AUTHORS COPYING README
%{_sbindir}/dump.f2fs
%{_sbindir}/f2fstat
%{_sbindir}/fibmap.f2fs
%{_sbindir}/fsck.f2fs
%{_sbindir}/mkfs.f2fs
%{_mandir}/man8/mkfs.f2fs.8*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
Shared library for %{name}.

%files -n %{libname}
%{_libdir}/libf2fs.so.%{major}*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std sbindir=%{_sbindir}

# Useless without headers
rm -f %{buildroot}%{_libdir}/libf2fs.so


%changelog

* Fri Jul 15 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.4.0-2
- (805db35) Bump release


